com.taosdata.jdbc.ws.stmt.entity

## Enum STMTAction

- java.lang.Object
- - java.lang.Enum<STMTAction>
  - - com.taosdata.jdbc.ws.stmt.entity.STMTAction

All Implemented Interfaces:
  Serializable, Comparable<STMTAction>

    public enum STMTAction
    extends Enum<STMTAction>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD_BATCH`
`BIND`
`CLOSE`
`CONN`
`EXEC`
`INIT`
`PREPARE`
`SET_TABLE_NAME`
`SET_TAGS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getAction()`
`Class<? extends Response>` `getClazz()`
`static STMTAction` `of(String action)`
`static STMTAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static STMTAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONN

    public static final STMTAction CONN

#### INIT

    public static final STMTAction INIT

#### PREPARE

    public static final STMTAction PREPARE

#### SET_TABLE_NAME

    public static final STMTAction SET_TABLE_NAME

#### SET_TAGS

    public static final STMTAction SET_TAGS

#### BIND

    public static final STMTAction BIND

#### ADD_BATCH

    public static final STMTAction ADD_BATCH

#### EXEC

    public static final STMTAction EXEC

#### CLOSE

    public static final STMTAction CLOSE

### Method Detail

#### values

    public static STMTAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (STMTAction c : STMTAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static STMTAction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getAction

    public String getAction()

#### getClazz

    public Class<? extends Response> getClazz()

#### of

    public static STMTAction of(String action)